Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2762633003: Remove unused |context| from GetDefaultParent(). (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by Hadi
Modified:
2 months ago
CC:
chromium-reviews, kalyank, tfarina, sadrul, extensions-reviews_chromium.org, chromium-apps-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove unused |context| from GetDefaultParent(). BUG=NONE Review-Url: https://codereview.chromium.org/2762633003 Cr-Commit-Position: refs/heads/master@{#458490} Committed: https://chromium.googlesource.com/chromium/src/+/3f4e3bbab9cba6b12e4393885789248514001a14

Patch Set 1 #

Patch Set 2 : update comments. #

Total comments: 1

Patch Set 3 : addressed feedback. #

Patch Set 4 : Fix rebase. #

Patch Set 5 : Fix chromecast compile error. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -52 lines) Patch
M ash/common/wm/container_finder.h View 1 1 chunk +3 lines, -5 lines 0 comments Download
M ash/common/wm/container_finder.cc View 1 chunk +1 line, -3 lines 0 comments Download
M ash/mus/top_level_window_factory.cc View 1 chunk +1 line, -2 lines 0 comments Download
M ash/wm/stacking_controller.h View 1 chunk +1 line, -2 lines 0 comments Download
M ash/wm/stacking_controller.cc View 1 chunk +3 lines, -4 lines 0 comments Download
M chromecast/graphics/cast_window_manager_aura.h View 1 2 3 4 1 chunk +1 line, -2 lines 0 comments Download
M chromecast/graphics/cast_window_manager_aura.cc View 1 2 3 4 1 chunk +1 line, -2 lines 0 comments Download
M content/shell/browser/shell_views.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M extensions/shell/browser/shell_desktop_controller_aura.h View 1 chunk +1 line, -2 lines 0 comments Download
M extensions/shell/browser/shell_desktop_controller_aura.cc View 1 chunk +0 lines, -1 line 0 comments Download
M headless/lib/browser/headless_window_parenting_client.h View 1 chunk +1 line, -2 lines 0 comments Download
M headless/lib/browser/headless_window_parenting_client.cc View 1 chunk +0 lines, -1 line 0 comments Download
M ui/aura/client/window_parenting_client.h View 1 2 1 chunk +3 lines, -10 lines 0 comments Download
M ui/aura/client/window_parenting_client.cc View 1 chunk +1 line, -2 lines 0 comments Download
M ui/aura/demo/demo_main.cc View 1 chunk +1 line, -2 lines 0 comments Download
M ui/aura/test/test_window_parenting_client.h View 1 chunk +1 line, -3 lines 0 comments Download
M ui/aura/test/test_window_parenting_client.cc View 1 chunk +1 line, -2 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_native_widget_aura.cc View 1 chunk +1 line, -2 lines 0 comments Download
M ui/wm/test/wm_test_helper.h View 1 chunk +1 line, -2 lines 0 comments Download
M ui/wm/test/wm_test_helper.cc View 1 chunk +1 line, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 42 (30 generated)
Hadi
PTAL. I also tried to remove |bounds| as is suggested in a TODO in window_parenting_client.h, ...
2 months ago (2017-03-20 17:52:36 UTC) #6
sky
LGTM https://codereview.chromium.org/2762633003/diff/20001/ui/aura/client/window_parenting_client.h File ui/aura/client/window_parenting_client.h (right): https://codereview.chromium.org/2762633003/diff/20001/ui/aura/client/window_parenting_client.h#newcode29 ui/aura/client/window_parenting_client.h:29: // TODO(erg): Maybe after oshima's patch lands, remove ...
2 months ago (2017-03-20 17:57:34 UTC) #7
Hadi
jamescook@ please review extensions/shell/*. piman@ please review content/*. eseckler@ please review headless/*.
2 months ago (2017-03-20 18:53:45 UTC) #15
Eric Seckler
lgtm
2 months ago (2017-03-20 19:15:43 UTC) #18
James Cook (ooo sick)
extensions/shell lgtm
2 months ago (2017-03-20 19:20:26 UTC) #19
Hadi
lcwu@ please review chromecast/*.
2 months ago (2017-03-20 19:25:27 UTC) #23
piman
content/ rs lgtm
2 months ago (2017-03-20 21:22:04 UTC) #32
lcwu1
2 months ago (2017-03-21 18:27:54 UTC) #34
Hadi
halliwell@ can you please review chromecast/*? Thanks.
2 months ago (2017-03-21 18:29:29 UTC) #35
halliwell
On 2017/03/21 18:29:29, Hadi wrote: > halliwell@ can you please review chromecast/*? > > Thanks. ...
2 months ago (2017-03-21 18:36:49 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2762633003/80001
2 months ago (2017-03-21 18:38:39 UTC) #39
commit-bot: I haz the power
2 months ago (2017-03-21 18:46:38 UTC) #42
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/3f4e3bbab9cba6b12e4393885789...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06